Replication Links - List By Database

データベースのレプリケーション リンクを一覧表示します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/replicationLinks?api-version=2014-04-01

URI パラメーター

名前 / 必須 型 説明
databaseName
path True

string

リンクを取得するデータベースの名前。

resourceGroupName
path True

string

リソースを含むリソース グループの名前。 この値は、Azure Resource Manager API またはポータルから取得できます。

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string

Azure サブスクリプションを識別するサブスクリプション ID。

api-version
query True

string

要求に使用する API バージョン。

応答

名前 型 説明
200 OK

ReplicationLinkListResult

わかりました

例

要求のサンプル

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/databases/testdb/replicationLinks?api-version=2014-04-01

応答のサンプル

{
  "value": [
    {
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/databases/testdb/replicationLinks/5b301b68-03f6-4b26-b0f4-73ebb8634238",
      "name": "5b301b68-03f6-4b26-b0f4-73ebb8634238",
      "type": "Microsoft.Sql/servers/databases/replicationLinks",
      "location": "Japan East",
      "properties": {
        "partnerServer": "sqlcrudtest-5961",
        "partnerDatabase": "testdb",
        "partnerLocation": "Japan East",
        "role": "Secondary",
        "partnerRole": "Primary",
        "replicationMode": "ASYNC",
        "startTime": "2017-02-10T01:44:27.117Z",
        "percentComplete": 100,
        "replicationState": "CATCH_UP",
        "isTerminationAllowed": true
      }
    }
  ]
}

定義

名前 説明
ReplicationLink

データベース レプリケーション リンクを表します。

ReplicationLinkListResult

List データベース レプリケーション リンク要求への応答を表します。

ReplicationRole

レプリケーション リンク内のデータベースのロール。

ReplicationState

レプリケーション リンクのレプリケーションの状態。

データベース レプリケーション リンクを表します。

名前 型 説明
id

string

リソース ID。

location

string

このファイアウォール規則を含むサーバーの場所。

name

string

リソース名。

properties.isTerminationAllowed

boolean

終了が許可されるかどうかを示すレガシ値。 現在、常に true を返します。

properties.partnerDatabase

string

パートナー データベースの名前。

properties.partnerLocation

string

パートナー データベースの Azure リージョン。

properties.partnerRole

ReplicationRole

レプリケーション リンク内のパートナー データベースのロール。

properties.partnerServer

string

パートナー データベースをホストしているサーバーの名前。

properties.percentComplete

integer (int32)

レプリケーション リンクのシード処理が完了した割合。

properties.replicationMode

string

このレプリケーション リンクのレプリケーション モード。

properties.replicationState

ReplicationState

レプリケーション リンクのレプリケーションの状態。

properties.role

ReplicationRole

レプリケーション リンク内のデータベースのロール。

properties.startTime

string (date-time)

レプリケーション リンクの開始時刻。

type

string

これはリソースの種類です。

ReplicationLinkListResult

List データベース レプリケーション リンク要求への応答を表します。

名前 型 説明
value

ReplicationLink[]

データベースに格納されているデータベース レプリケーション リンクの一覧。

ReplicationRole

レプリケーション リンク内のデータベースのロール。

値 説明
Primary
Secondary
NonReadableSecondary
Source
Copy

ReplicationState

レプリケーション リンクのレプリケーションの状態。

値 説明
PENDING
SEEDING
CATCH_UP
SUSPENDED